Get a company
curl --request GET \
--url https://api-dev.narrative.io/companies/{company_id}import requests
url = "https://api-dev.narrative.io/companies/{company_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-dev.narrative.io/companies/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_id": 42,
"slug": "acm",
"name": "ACM",
"long_description": "The Acme Corporation is an ironic name for the fictional corporation, appearing in the Road Runner/Wile E. Coyote animated shorts, where it was used as a running gag.",
"short_description": "American Company that Manufactures Everything",
"contact_email": "[email protected]",
"data_shop_url": "https://shop.acm.io",
"twitter_link": "https://twitter.com/acm_company",
"linkedin_link": "https://www.linkedin.com/company/acm_company",
"image_url": null,
"visibility": "visible",
"status": "active",
"website": null
}Company
Get a company
GET
/
companies
/
{company_id}
Get a company
Path Parameters
The id of an existing company
Response
200 - application/json
OK
Unique identifier of an existing company.
Example:
7
Unique id for the company
Name of the company
A short description of the company
The complete description of the company
Email contact
The url of the website of the company
The url of the data shop of the company
Twitter account
LinkedIn account
The url of the logo of the company
The geographical location of the company
The number of employees
Available options:
invisible, visible, invisible_in_discover Available options:
active, deleted, pending Was this page helpful?

